> ## Documentation Index
> Fetch the complete documentation index at: https://docs.frankieone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Organization Ownership

> Process a request for ownership details of an organization



## OpenAPI

````yaml /specs/fc-kyb-facade-bundled_generated.yaml post /v2/organizations/ownership
openapi: 3.0.3
info:
  title: KYB Facade API
  version: '2.0'
  description: >-
    This is the MVP for Phase 1 APIs for V2 KYB. Currently in development,
    changes to the structure can occur
  contact:
    name: FrankieOne
    url: https://www.frankieone.com
    email: help@frankieone.com
servers:
  - url: https://api.kycaml.frankiefinancial.io
    description: Production API Base URL
  - url: https://api.kycaml.uat.frankiefinancial.io
    description: UAT Environment API Base URL
security:
  - Api-Key: []
tags:
  - name: Organizations
    description: Api calls related to Organizations
  - name: Reports
    description: All Frankie reports
  - name: Hosted URL
    description: Api calls related to Hosted URL
paths:
  /v2/organizations/ownership:
    parameters: []
    post:
      tags:
        - Organizations
      summary: Organization Ownership
      description: Process a request for ownership details of an organization
      operationId: createOwnership
      parameters:
        - $ref: '#/components/parameters/Api-Key'
        - $ref: '#/components/parameters/X-Frankie-CustomerID'
        - $ref: '#/components/parameters/X-Frankie-CustomerChildID'
        - $ref: '#/components/parameters/X-Frankie-Channel'
        - $ref: '#/components/parameters/forceRefresh'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                organizationToken:
                  $ref: '#/components/schemas/Organization-Token'
                organizationRegistration:
                  $ref: '#/components/schemas/Organization-Registration'
                externalReferences:
                  type: array
                  items:
                    $ref: '#/components/schemas/External-Reference-Information'
                entityId:
                  $ref: '#/components/schemas/Entity-ID'
      responses:
        '202':
          description: Accepted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Organizations-Ownership-Response'
          links:
            getRequestStatusbyRequestId:
              operationId: getRequestStatus
              parameters:
                entityId: $response.body#/entityId
                requestId: $response.body#/requestid
              description: >
                The `entityId` and `requestid` values returned in the response
                can be used as the `entityId` and `requestid` parameters in `GET
                /v2/organizations/{entityid}/requests/{requestId}` for
                retrieving status of the ownership request.
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '422':
          description: Unprocessable Entity (WebDAV)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '503':
          description: Service Unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  parameters:
    Api-Key:
      name: api_key
      in: header
      schema:
        type: string
        example: 245c765b124a098d09ef8765....
      description: Your API key provided by FrankieOne
      required: true
    X-Frankie-CustomerID:
      name: X-Frankie-CustomerID
      in: header
      required: true
      schema:
        type: string
        example: 12345678-1234-1234-1234-123456789012
      description: Your Customer ID provided by FrankieOne
    X-Frankie-CustomerChildID:
      name: X-Frankie-CustomerChildID
      in: header
      required: false
      schema:
        type: string
        example: 87654321-4321-4321-4321-210987654321
      description: Your Customer Child ID provided by FrankieOne
    X-Frankie-Channel:
      name: X-Frankie-Channel
      in: header
      required: false
      schema:
        type: string
      description: >-
        Open string that can be used to define the "channel" the request comes
        in from. It can potentially be used in routing and risk calculations
        upon request. Default values that can be used are:  api portal smartui
        Any alphanumeric string is supported though. Anything over 64 characters
        will be truncated.
    forceRefresh:
      name: forceRefresh
      in: query
      schema:
        type: boolean
      description: This will fetch the latest information from the registry if set to true.
  schemas:
    Organization-Token:
      type: string
      description: >-
        This is the unique Frankie token that contains all the information
        required from lookup that are needed in succeeding steps
    Organization-Registration:
      type: object
      required:
        - region
      properties:
        organizationNumbers:
          type: array
          items:
            $ref: '#/components/schemas/Organization-Number'
        region:
          $ref: '#/components/schemas/Organization-Region'
    External-Reference-Information:
      type: object
      x-examples:
        Customer Reference:
          name: CUSTOMER-REFERENCE
          value: CUST-00001342
          description: This is the customer id in the core banking system
      required:
        - name
        - value
      description: >-
        Used to store references and identifying information about an entity
        that is external to FrankieOne. If you wish to filter or search on
        customer information relevant to your business, that information should
        be added as an external reference.
      properties:
        name:
          type: string
          description: The name of the external reference.
          example: CUSTOMER-REFERENCE
          x-oapi-codegen-extra-tags:
            audit: keep
        value:
          type: string
          description: The value of the external reference.
          example: CUST-00001342
          x-oapi-codegen-extra-tags:
            audit: keep
        description:
          type: string
          description: >-
            A summary of what this external reference is and what it is used
            for.
          example: This is the customer ID in the core banking system.
          x-oapi-codegen-extra-tags:
            audit: keep
    Entity-ID:
      type: string
      description: >-
        Entities are assigned a FrankieOne auto-generated UUID to ensure global
        uniqueness, represented as entityId. The entityId allows for precise
        modification when required.

        To modify an entity, set the entityId of the entity you wish to update
        in an update request.
      example: 3fa85f64-5717-4562-b3fc-2c963f66afa6
      readOnly: true
      x-oapi-codegen-extra-tags:
        audit: keep
    Organizations-Ownership-Response:
      type: object
      properties:
        requestId:
          $ref: '#/components/schemas/Request-ID'
        entityId:
          $ref: '#/components/schemas/Entity-ID'
    Error:
      type: object
      x-examples:
        '400':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0400
          errorMsg: Parsing credentials from "<invalid>" failed, because invalid.
          httpStatusCode: 400
        '401':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0401
          errorMsg: Unauthenticated due to invalid credentials.
          httpStatusCode: 401
        '409':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0409
          errorMsg: Conflict.
          httpStatusCode: 409
      allOf:
        - $ref: '#/components/schemas/Error-Base'
        - type: object
          properties:
            requestId:
              $ref: '#/components/schemas/Request-ID'
    Organization-Number:
      type: object
      required:
        - registrationNumber
      properties:
        registrationNumber:
          type: string
          description: >-
            The registration number of the specific registry associated to the
            entity
        registryCode:
          type: string
          description: |-
            A code that specifies an associated registry
            ex - ABN or ACN
    Organization-Region:
      type: object
      required:
        - country
      properties:
        country:
          type: string
          pattern: ^[A-Z]{3}$
          description: >-
            The ISO-3166-1 country. You must use the alpha3 country code (e.g.

            AUS, USA, IDR, KOR, etc). 


            For more details refer to:
            [https://en.wikipedia.org/wiki/ISO_3166-1](https://en.wikipedia.org/wiki/ISO_3166-1)
        subdivision:
          type: string
          description: >-
            The ISO-3166-2 subdivision code referring to state or province or
            other regional division. 


            For more details refer to:
            [https://en.wikipedia.org/wiki/ISO_3166-2](https://en.wikipedia.org/wiki/ISO_3166-2)
    Request-ID:
      type: string
      example: 01HN9XHZN6MGXM9JXG50K59Q85
      description: The unique request identifier for the API call made.
    Error-Base:
      type: object
      properties:
        errorCode:
          type: string
        errorMsg:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/Issue'
    Issue:
      type: object
      properties:
        issue:
          type: string
          description: Description of the issue.
        issueLocation:
          type: string
          description: The location or context where the issue was identified.
        issueType:
          type: string
          description: The type or category of the issue.
  securitySchemes:
    Api-Key:
      type: apiKey
      in: header
      name: api_key
      description: ''

````